OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
GeomToIGES

# GeomToIGES_GeomEntity Class Reference

provides methods to transfer Geom entity from CASCADE to IGES.

`#include <GeomToIGES_GeomEntity.hxx>`

Inheritance diagram for GeomToIGES_GeomEntity:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToIGES_GeomEntity ()
| Creates a tool GeomEntity .
Standard_EXPORT | GeomToIGES_GeomEntity (const GeomToIGES_GeomEntity &GE)
| Creates a tool ready to run and sets its fields as GE's. .
Standard_EXPORT void | SetModel (const Handle(IGESData_IGESModel)&model)
| Set the value of "TheModel" .
Standard_EXPORT Handle_IGESData_IGESModel | GetModel () const
| Returns the value of "TheModel" .
Standard_EXPORT void | SetUnit (const Standard_Real unit)
| Sets the value of the UnitFlag .
Standard_EXPORT Standard_Real | GetUnit () const
| Returns the value of the UnitFlag of the header of the model in meters. .
## Private Attributes
Handle_IGESData_IGESModel | TheModel
Standard_Real | TheUnitFactor

## Constructor & Destructor Documentation

Standard_EXPORT GeomToIGES_GeomEntity::GeomToIGES_GeomEntity | ( |  | ) |

Standard_EXPORT GeomToIGES_GeomEntity::GeomToIGES_GeomEntity | ( | const GeomToIGES_GeomEntity & | GE | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESData_IGESModel GeomToIGES_GeomEntity::GetModel | ( |  | ) | const

Standard_EXPORT Standard_Real GeomToIGES_GeomEntity::GetUnit | ( |  | ) | const

void GeomToIGES_GeomEntity::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented in GeomToIGES_GeomCurve, GeomToIGES_GeomPoint, GeomToIGES_GeomSurface, and GeomToIGES_GeomVector.

void* GeomToIGES_GeomEntity::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented in GeomToIGES_GeomCurve, GeomToIGES_GeomPoint, GeomToIGES_GeomSurface, and GeomToIGES_GeomVector.

void* GeomToIGES_GeomEntity::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented in GeomToIGES_GeomCurve, GeomToIGES_GeomPoint, GeomToIGES_GeomSurface, and GeomToIGES_GeomVector.

Standard_EXPORT void GeomToIGES_GeomEntity::SetModel | ( | const Handle(IGESData_IGESModel)& | model | ) |

Standard_EXPORT void GeomToIGES_GeomEntity::SetUnit | ( | const Standard_Real | unit | ) |

## Field Documentation

Handle_IGESData_IGESModel GeomToIGES_GeomEntity::TheModel`[private]`

Standard_Real GeomToIGES_GeomEntity::TheUnitFactor`[private]`

The documentation for this class was generated from the following file:

- GeomToIGES_GeomEntity.hxx